> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/cicd-fields.md).

# cicdFields

Fields related to CI/CD metadata for an issue.

### Examples

```graphql
type CICDFields {
  issueStatus: CICDIssueStatus
  sourceBranch: String
  targetBranch: String
  isBlocking: Boolean
  jobId: String
  jobTriggeredAt: String
  jobTriggeredAtDate: Float
  jobTriggeredBy: String
  jobTriggeredReason: String
  jobUrl: String
  pullRequestId: String
  pullRequestUrl: String
  enforcement: String
  excludedByAlert: Boolean
  cicdEventType: String
  workflows: [OxWorkflow]
}
```

### Fields

| Field                                                                                                         | Description                                                              | Supported fields                                          |
| ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ | --------------------------------------------------------- |
| issueStatus [`CICDIssueStatus`](/api-documentation/api-reference/api--issue/types/enums/cicd-issue-status.md) | Status of the issue in the CI/CD context                                 |                                                           |
| sourceBranch `String`                                                                                         | Name of the source branch related to the issue                           |                                                           |
| targetBranch `String`                                                                                         | Name of the target branch for the issue or PR                            |                                                           |
| ~~isBlocking `Boolean`~~ ⚠️                                                                                   | **Deprecated**: use 'enforcement'                                        |                                                           |
| jobId `String`                                                                                                | ID of the CI/CD job related to the issue                                 |                                                           |
| jobTriggeredAt `String`                                                                                       | Timestamp string when the job was triggered                              |                                                           |
| jobTriggeredAtDate `Float`                                                                                    | Timestamp as float when the job was triggered                            |                                                           |
| jobTriggeredBy `String`                                                                                       | User or system that triggered the CI/CD job                              |                                                           |
| jobTriggeredReason `String`                                                                                   | Reason or context for triggering the job                                 |                                                           |
| jobUrl `String`                                                                                               | URL to the CI/CD job                                                     |                                                           |
| pullRequestId `String`                                                                                        | ID of the related pull request                                           |                                                           |
| pullRequestUrl `String`                                                                                       | URL link to the related pull request                                     |                                                           |
| enforcement `String`                                                                                          | Enforcement level or status within the CI/CD pipeline                    |                                                           |
| excludedByAlert `Boolean`                                                                                     | Indicates if the issue was excluded by an alert within the CI/CD context |                                                           |
| cicdEventType `String`                                                                                        | Type of CI/CD event that triggered this issue or job                     |                                                           |
| workflows [`[OxWorkflow]`](/api-documentation/api-reference/api--issue/types/objects/ox-workflow.md)          | Workflows associated with the CI/CD issue                                | <p>id <code>String</code><br>name <code>String</code></p> |

### References

#### Fields with this object:

* [{} Issue.cicdFields](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/cicd-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
